/*--------------------------------------------------------------
# Aumi - August 2008 (for Joomla 1.5)
# Copyright (C) 2007-2008 Gavick.com. All Rights Reserved.
# License: Copyrighted Commercial Software
# Website: http://www.gavick.com
# Support: support@gavick.com 
---------------------------------------------------------------*/

window.addEvent("domready",function(){
	
	Fx.Height = Fx.Style.extend({initialize: function(el, options){this.parent(el, 'height', options);this.element.setStyle('overflow', 'hidden');},toggle: function(){return (this.element.offsetHeight > 0) ? this.custom(this.element.offsetHeight, 0) : this.custom(0, this.element.scrollHeight);},show: function(){return this.set(this.element.scrollHeight);}});
	
	Fx.Opacity = Fx.Style.extend({initialize: function(el, options){this.now = 1;this.parent(el, 'opacity', options);},toggle: function(){return (this.now > 0) ? this.start(1, 0) : this.start(0, 1);},show: function(){return this.set(1);}});
	
	if($('memberarea') && $('login_link')){
		$('memberarea').setStyle("display", "block");
		var im = 0;
		var memberarea1 = new Fx.Opacity($('memberarea'),{duration: 350}).hide();
		var memberarea2 = new Fx.Height($('memberarea'),{duration: 350}).hide();
		$("login_link").addEvent("click",function(e){
			new Event(e).stop();
			memberarea1.start((im%2 == 0) ? 1 : 0);
			memberarea2.start((im%2 == 0) ? 28 : 0);
			im++;
		});
	}
	
	if($('stylearea')){
		$A($$('.style_switcher')).each(function(element,index){
			element.addEvent('click',function(event){
				var event = new Event(event);
				event.preventDefault();
				changeStyle(index+1);
			});
		});
		new SmoothScroll();
	}
	
	if($('bottom_wrap')){
		var max_height = 0;
		$ES('.users', $('bottom_wrap')).each(function(el, i){
			var chld = el.getChildren()[0];
			var h = chld.getSize().size.y - chld.getStyle("padding-top").toInt() - chld.getStyle("padding-bottom").toInt();
			if(h > max_height) max_height = h;
		});
		
		$ES('.users', $('bottom_wrap')).each(function(el, i){
			el.getChildren()[0].setStyle("height", max_height+"px");
		});
	}
});

function changeStyle(style){
	var file = template_path+'/css/style'+style+'.css';
	new Asset.css(file);
	new Cookie.set('gk17_style',style,{duration: 200,path: "/"});
	actual_style = style;
}